package com.faraphel.tasks_valider.database.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "teachers")
class Teacher(
    @ColumnInfo("id") @PrimaryKey(autoGenerate = true) override val id: Long = 0,
    @ColumnInfo("first_name") override val firstName: String,
    @ColumnInfo("last_name") override val lastName: String
) : Person(id, firstName, lastName)
